clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
llvm::yaml::NormalizedSymbolID Struct Reference
Collaboration diagram for llvm::yaml::NormalizedSymbolID:
[legend]

## Public Member Functions
| NormalizedSymbolID (IO &)
| NormalizedSymbolID (IO &, const SymbolID &ID)
SymbolID | denormalize (IO &I)

## Public Attributes
std::string | HexString

## Detailed Description

Definition at line 64 of file YAMLSerialization.cpp.

## Constructor & Destructor Documentation

## ◆ NormalizedSymbolID() [1/2]

llvm::yaml::NormalizedSymbolID::NormalizedSymbolID | ( | IO & |  | ) |
| inline

Definition at line 65 of file YAMLSerialization.cpp.

## ◆ NormalizedSymbolID() [2/2]

llvm::yaml::NormalizedSymbolID::NormalizedSymbolID | ( | IO & | ,
|  | const SymbolID & | ID
| ) |  |
| inline

Definition at line 66 of file YAMLSerialization.cpp.

## Member Function Documentation

## ◆ denormalize()

SymbolID llvm::yaml::NormalizedSymbolID::denormalize | ( | IO & | I | ) |
| inline

Definition at line 71 of file YAMLSerialization.cpp.

## Member Data Documentation

## ◆ HexString

std::string llvm::yaml::NormalizedSymbolID::HexString

Definition at line 80 of file YAMLSerialization.cpp.

The documentation for this struct was generated from the following file:

- YAMLSerialization.cpp